For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
    • PATCHProfiles
      • POSTApprove/Reject time-off requests
      • DELCancel time-off request
      • POSTCreate time-off request
      • POSTExternal HR Time Off Synchronization
      • GETGet Profile Entitlements
      • GETGet Time Off Events for Profile
      • GETGet Work Schedule and Holidays
      • GETList policies
      • GETList time-off requests
      • GETList time-off requests for Organization
      • GETRetrieve policy validation templates
      • PATCHUpdate time-off request
      • POSTValidate time-off request
LogoLogo
SupportDeel Home
EndpointsTime Off

Get Work Schedule and Holidays

GET
/time_offs/dailies
GET
/rest/v2/time_offs/dailies
$curl -G https://api.letsdeel.com/rest/v2/time_offs/dailies \
> -H "Authorization: Bearer <token>" \
> -d start_date=2025-01-01 \
> -d end_date=2025-02-01 \
> -d hris_profile_ids=d290f1ee-6c54-4b01-90e6-d701748f0851 \
> -d countries=US
1{
2 "data": [
3 {
4 "holidays": [
5 {
6 "date": "2025-01-01T00:00:00.000Z",
7 "name": "New Year's Day",
8 "type": "HOLIDAY",
9 "source": "EXTERNAL",
10 "description": "New Year's Day global holiday",
11 "is_mandatory": true,
12 "is_every_year": true,
13 "formatted_date": "2025-01-01",
14 "states": [],
15 "country": "US",
16 "parsed_date": "2025-01-01T00:00:00.000+00:00",
17 "name_variations": [
18 "January 1"
19 ],
20 "created_by_profile_id": null
21 }
22 ],
23 "work_schedule": {
24 "work_week": {
25 "friday": 8,
26 "monday": 8,
27 "sunday": 0,
28 "tuesday": 8,
29 "saturday": 0,
30 "thursday": 8,
31 "wednesday": 8
32 },
33 "hours_per_day": 8,
34 "hris_profile_id": "d290f1ee-6c54-4b01-90e6-d701748f0851"
35 },
36 "time_off_dailies": [
37 {
38 "date": "2025-01-01",
39 "time_off_daily_type": "HOLIDAY"
40 },
41 {
42 "date": "2025-01-02",
43 "time_off_daily_type": "WORKING_DAY"
44 },
45 {
46 "date": "2025-01-03",
47 "time_off_daily_type": "WORKING_DAY"
48 }
49 ]
50 }
51 ]
52}

Returns holidays, work schedule entries, and time-off dailies for a given date range, scoped to one or more HRIS profile IDs or countries. Token scopes: time-off:read

Was this page helpful?
Previous

List policies

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Query parameters

start_datestringOptionalformat: "date"
Start date of non working days date range
end_datestringOptionalformat: "date"
End date of non working days date range
hris_profile_idslist of stringsOptional
HRIS profile ids
countrieslist of stringsOptional
List of countries to be fetched

Response

Successful operation.
datalist of objects
List of holiday and work schedule information grouped by HRIS profile, including holidays within the date range, work schedule details, and daily work status

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication